MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025582Community[OCCT] OCCT:Modeling Algorithmspublic2014-12-10 02:012015-05-14 15:32
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025582: SIGSEGV in thrusections of circle segments
DescriptionCreating a loft between the two circular edges causes a sigsegv.
Steps To Reproducerestore filletloft-draw-Loft-00-section.brep Loft-00-section
restore filletloft-draw-Loft-01-section.brep Loft-01-section
thrusections Loft 0 0 Loft-00-section Loft-01-section


Test case was added:
bugs modalg_5 bug25582
TagsNo tags attached.
Test case numberbugs modalg_5 bug25582
Attached Files? file icon filletloft-draw-Loft-00-section.brep (1,096 bytes) 2014-12-10 02:01
? file icon filletloft-draw-Loft-01-section.brep (1,108 bytes) 2014-12-10 02:01

- Relationships

-  Notes
(0035235)
shoogen (reporter)
2014-12-10 02:07

If the circles are moved, so their normals are not coaxial, the loft works.
(0036062)
git (administrator)
2015-01-14 17:27

Branch CR25582 has been created by azv.

SHA-1: 440c713f3e0594bb344969c3a546f1216fb60afd


Detailed log of new commits:

Author: azv
Date: Wed Jan 14 17:26:30 2015 +0300

    0025582: SIGSEGV in thrusections of circle segments
    
    1. Implemented using of trimmed circular curve
    2. Added test case
(0036063)
azv (developer)
2015-01-14 17:29

Branch CR25582 is ready for review
(0036067)
msv (developer)
2015-01-14 18:26

I have found that the same error is possible in lines 436 and 444 (for conical surface), 495 and 500 (plane surface). May be it is needed to make there the same treatment?
(0036078)
git (administrator)
2015-01-15 08:24

Branch CR25582 has been updated forcibly by azv.

SHA-1: 87e6c1917919efcc76d9247150fed640dd53bad4
(0036079)
azv (developer)
2015-01-15 08:25

Remarks were taken into account. The changes were refactored. Please, review updated branch CR25582
(0036085)
msv (developer)
2015-01-15 10:48

Good refactoring!
Reviewed.
(0036315)
apn (administrator)
2015-01-21 13:07

Branch will be tested with CR25706_2.
(0036659)
apn (administrator)
2015-01-26 16:19

Rise CR25706_2.
(0038531)
git (administrator)
2015-03-18 13:34

Branch CR25582 has been deleted by inv.

SHA-1: 87e6c1917919efcc76d9247150fed640dd53bad4

- Related Changesets
occt: master 0fe1715f
Timestamp: 2015-01-14 14:26:30
Author: azv
Committer: bugmaster
Details ] Diff ]
0025582: SIGSEGV in thrusections of circle segments

1. Implemented using of trimmed circular curve
2. Added test case
mod - src/BRepFill/BRepFill_Generator.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25582 Diff ] File ]
occt: master 76eeac70
Timestamp: 2015-01-23 12:55:56
Author: azv
Committer: bugmaster
Details ] Diff ]
0025582: SIGSEGV in thrusections of circle segments

Eliminating regressions

Fixed compilation warning ('di' : unreferenced formal parameter).

Added test bugs/modalg_5/bug25578
mod - src/BRepFill/BRepFill_Generator.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ModificationCommands.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25578 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-10 02:01 shoogen New Issue
2014-12-10 02:01 shoogen Assigned To => msv
2014-12-10 02:01 shoogen File Added: filletloft-draw-Loft-00-section.brep
2014-12-10 02:01 shoogen File Added: filletloft-draw-Loft-01-section.brep
2014-12-10 02:07 shoogen Note Added: 0035235
2015-01-14 17:12 azv Assigned To msv => azv
2015-01-14 17:12 azv Status new => assigned
2015-01-14 17:27 git Note Added: 0036062
2015-01-14 17:29 azv Note Added: 0036063
2015-01-14 17:29 azv Assigned To azv => msv
2015-01-14 17:29 azv Status assigned => resolved
2015-01-14 17:29 azv Steps to Reproduce Updated View Revisions
2015-01-14 18:26 msv Note Added: 0036067
2015-01-14 18:26 msv Assigned To msv => azv
2015-01-14 18:26 msv Status resolved => assigned
2015-01-15 08:24 git Note Added: 0036078
2015-01-15 08:25 azv Note Added: 0036079
2015-01-15 08:25 azv Assigned To azv => msv
2015-01-15 08:25 azv Status assigned => resolved
2015-01-15 10:48 msv Note Added: 0036085
2015-01-15 10:48 msv Assigned To msv => bugmaster
2015-01-15 10:48 msv Status resolved => reviewed
2015-01-21 11:50 apn Assigned To bugmaster => apn
2015-01-21 13:07 apn Note Added: 0036315
2015-01-21 18:53 apn Test case number => bugs modalg_5 bug25582
2015-01-26 16:19 apn Note Added: 0036659
2015-01-26 16:19 apn Assigned To apn => bugmaster
2015-01-26 16:19 apn Status reviewed => tested
2015-01-26 16:19 apn Target Version => 6.9.0
2015-01-30 14:00 bugmaster Changeset attached => occt master 76eeac70
2015-01-30 14:00 bugmaster Changeset attached => occt master 0fe1715f
2015-01-30 14:00 bugmaster Status tested => verified
2015-01-30 14:00 bugmaster Resolution open => fixed
2015-03-18 13:34 git Note Added: 0038531
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker